%define name sip
%define version 3.5
%define release 1mdk
%define py_ver 2.2

%define major 9
%define libname lib%{name}%{major}

Summary: Python bindings generator for C++ class libraries.
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL-like
Group: Development/Python
Source: %{name}-x11-gpl-%{version}.tar.bz2
URL: http://www.riverbankcomputing.co.uk/sip
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libpython%{py_ver}-devel
Requires: python = %{py_ver}

%description
Generates Python bindings for C++ class libraries from a set of class
specification files.  Also includes a runtime support library needed by all
generated bindings.

%package -n %{libname}
Summary: Python bindings generator for C++ class libraries.
Group: System/Libraries
Provides: lib%{name} = %{version}

%description -n %{libname}
Generates Python bindings for C++ class libraries from a set of class
specification files.  Also includes a runtime support library needed by all
generated bindings.

%package -n %{libname}-devel
Summary: Libraries and include files for developing.
Group: Development/C++
Requires: %{libname} = %{version}
Provides: lib%{name}-devel = %{version}

%description -n %{libname}-devel
Generates Python bindings for C++ class libraries from a set of class
specification files.  Also includes a runtime support library needed by all
generated bindings.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %name-x11-gpl-%version

%build
mkdir -p $RPM_BUILD_ROOT%{_libdir}/python2.2/site-packages
%{__python} build.py -q %{_libdir}/qt3 -b $RPM_BUILD_ROOT%{_bindir} \
    -d $RPM_BUILD_ROOT%{_libdir}/python2.2/site-packages

%make

cd siplib
%make staticlib
cd -

%install
# Make a link for .so's in /usr/lib (in case python
# folder is not in PATH)
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_includedir}/python2.2
%makeinstall
cp siplib/sip.h $RPM_BUILD_ROOT%{_includedir}/python2.2
cp siplib/sipQt.h $RPM_BUILD_ROOT%{_includedir}/python2.2
	
cd $RPM_BUILD_ROOT%{_libdir}
ln -sf python2.2/site-packages/libsip.so.%{major} ./libsip.so.%{major}
ln -sf python2.2/site-packages/libsip.so.%{major}.0.0 ./libsip.so.%{major}.0.0

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, 755)
%doc NEWS README
%{_bindir}/sip

%files -n %{libname}-devel
%defattr(-, root, root, 755)
%{_includedir}/python2.2/sip.h
%{_includedir}/python2.2/sipQt.h
%{_libdir}/python2.2/site-packages/libsip.a
#%{_libdir}/python2.2/site-packages/libsip.la
%{_libdir}/python2.2/site-packages/libsip.so

%files -n %{libname}
%defattr(-, root, root, 755)
%{_libdir}/python2.2/site-packages/*.so.*
%{_libdir}/*.so.*

%changelog
* Fri Jan 03 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.5-1mdk
- 3.5

* Sat Aug 17 2002 Christian Belisle <cbelisle@mandrakesoft.com> 3.3.2-2mdk
- fix Provides for libsip9.

* Wed Jul 17 2002 Christian Belisle <cbelisle@mandrakesoft.com> 3.3.2-1mdk
- 3.3.2
- use the new sip's build script

* Sat Jun 29 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.2.4-1mdk
- 3.2.4

* Tue May 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.2.2-2mdk
- rebuild against new libstdc++

* Mon May 13 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.2.2-1mdk
- 3.2.2

* Tue May 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.2.1-1mdk
- 3.2.1

* Mon Apr 08 2002 Christian Belisle <cbelisle@mandrakesoft.com> 3.1-1mdk
- version 3.1 (lib major 8).
- update URL.

* Fri Jan 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.0-3mdk
- merge with  RA <ralf_ahlbrink@web.de> mods :
	- added BuildRequires: libpython2.2-devel

* Fri Nov 30 2001 Yves Duret <yduret@mandrakesoft.com> 3.0-1mdk
- version 3.0 (lib major 7)

* Fri Nov 30 2001 Yves Duret <yduret@mandrakesoft.com> 2.5-2mdk
- rebuild against libpng3
- %%makeinstall_std
- std %%build step (macros..)
- added %%dir %%{_includedir}/sip in -devel package

* Mon Sep 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.5-1mdk
- 2.5

* Mon May 14 2001 Yves BAILLY <ybailly@mandrakesoft.com> 2.4-3mdk
- fixed some errors in spec file (sorry, my first package)

* Mon May 14 2001 Yves BAILLY <ybailly@mandrakesoft.com> 2.4-2mdk
- fixed the Python dependency (>= 2.0 instead of = 2.0)

* Mon May 14 2001 Yves BAILLY <ybailly@mandrakesoft.com> 2.4-1mdk
- upgrade to version 2.4

* Tue Mar 20 2001 David BAUDENS <baudens@mandrakesoft.com> 2.3-2mdk
- Rebuild against Qt 2.3.0

* Wed Feb 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.3-1mdk
- updated to 2.3

* Mon Feb 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2-1mdk
- used srpm from Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr>
        - built on Mandrake-7.2 following Mandrake RPM guidelines


